
Katello - Bug #6514

activation_keys.update updates also not present parameters

07/07/2014 03:01 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: API   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1101586 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1101586

Description of problem:

activation_keys.update API call updates also activation key attributes not sent via the call

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140523.0-Satellite-x86_64

How reproducible:

always

Steps to Reproduce:

1. create an activation key with 'usage_limit' set to an integer value

2. call activation_keys.update API to set only the 'content_view_id' for the activation key

Actual results:

note that the 'usage_limit' was re-set to 'unlimited'

Expected results:

not present parameters in the update API call shall be preserved

Associated revisions

Revision 607f4e7f - 07/08/2014 01:23 PM - Walden Raines

Fixes #6078, #6300, #6514, BZ1105175, BZ1097054, BZ1101586: fix limit fields

This commit changes the way we handle limited fields such as Content Host

number of systems and Activation Key usage limit.  Instead of representing

"unlimited" as -1 we now represent it as a boolean on the object.

http://projects.theforeman.org/issues/6078

http://projects.theforeman.org/issues/6300

http://projects.theforeman.org/issues/6514

https://bugzilla.redhat.com/show_bug.cgi?id=1105175

https://bugzilla.redhat.com/show_bug.cgi?id=1097054

https://bugzilla.redhat.com/show_bug.cgi?id=1101586

Revision 5b00bb70 - 07/08/2014 01:23 PM - Walden Raines

Fixes #6078, #6300, #6514, BZ1105175, BZ1097054, BZ1101586: fix limit fields

This commit changes the way we handle limited fields such as Content Host

number of systems and Activation Key usage limit.  Instead of representing

"unlimited" as -1 we now represent it as a boolean on the object.

http://projects.theforeman.org/issues/6078

http://projects.theforeman.org/issues/6300

http://projects.theforeman.org/issues/6514

https://bugzilla.redhat.com/show_bug.cgi?id=1105175

https://bugzilla.redhat.com/show_bug.cgi?id=1097054
Revision 5f406a71 - 07/08/2014 02:26 PM - Walden Raines

Merge pull request #4360 from waldenraines/6300

Fixes #6078, #6300, #6514, BZ1105175, BZ1097054, BZ1101586: fix limit fields

Revision 7434b38a - 07/08/2014 02:26 PM - Walden Raines

Merge pull request #4360 from waldenraines/6300

Fixes #6078, #6300, #6514, BZ1105175, BZ1097054, BZ1101586: fix limit fields

History

#1 - 07/07/2014 03:09 PM - Eric Helms

- Target version set to 49

- Difficulty set to trivial

- Triaged changed from No to Yes

#2 - 07/08/2014 01:25 PM - Walden Raines

- Status changed from New to Ready For Testing

- Assignee changed from dustin tsang to Walden Raines

This is fixed with https://github.com/Katello/katello/pull/4360

#3 - 07/08/2014 03:04 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|607f4e7fdeefa10091b24a8a06fd2a45939c6038.

#4 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13
